/dimensions
GET /dimensions
GET /dimensionsGet a list of supported dimensions.
Query Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
Code Examples
curl --request GET \
--url https://emsiservices.com/ddn/dimensions \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": [
"soc",
"onet",
"lotocc",
"lotspecocc"
]
}GET /dimensions/{dimension}
GET /dimensions/{dimension}Get dimension information.
Path Parameters
| Name | Type | Description |
|---|---|---|
dimension | enum | The occupation dimension used for modeling DDN skills. Example: Must be one of: |
Query Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
Code Examples
curl --request GET \
--url https://emsiservices.com/ddn/dimensions/lotspecocc \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"id": "soc",
"title": "6-Digit SOC",
"description": "USA's Standard Occupation Classification represented at the 6-Digit level.",
"taxonomyVersion": "soc_2021",
"supportedTaxonomyVersions": [
"soc_2021"
]
}
}//The dimension you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}POST /ddn/dimensions/\{dimension_name}
POST /ddn/dimensions/\{dimension_name}Get lists of DDN skills for an occupation.
Path Parameters
| Name | Type | Description |
|---|---|---|
dimension | enum | The occupation dimension used for modeling DDN skills. Example: Must be one of: |
Query Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
Request Body
{
"id": "32101010",
"region": {
"nation": "uk"
}
}Code Examples
curl --request POST \
--url https://emsiservices.com/ddn/dimensions/lotspecocc \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "id": "32101010", "region": { "nation": "uk" } }'Response Examples
{
"data": {
"id": "32101010",
"name": "Account Executive (General)",
"region": {
"nation": "uk",
"level": "nation",
"id": "K02000001",
"name": "United Kingdom"
},
"definingSkills": [
{
"id": "ES8F73CC75C618D72F72",
"name": "Sales Prospecting"
},
{
"id": "KS124QR6F19BX4WPMW1H",
"name": "Marketing"
},
{
"id": "KS1217P66NK6BW72M9FH",
"name": "Customer Relationship Management"
},
{
"id": "KS1248T6MC5L69MZ2L3R",
"name": "Selling Techniques"
}
],
"distinguishingSkills": [],
"necessarySkills": [
{
"id": "KS4407F6YY6SBS730MJ8",
"name": "Sales Process"
},
{
"id": "KS120VC7108H86J50CYW",
"name": "Business To Business"
},
{
"id": "KS1212B6QR5SK1LSD4S4",
"name": "Business Development"
},
{
"id": "BGS409FD4E9C8053A315",
"name": "Sales Strategy"
},
{
"id": "KS1223966G4Q22CCCYC6",
"name": "Cold Calling"
},
{
"id": "KS127RT6M7ST0B2VWTYS",
"name": "Phone Sales"
},
{
"id": "KS122B06FRJSHG3ZF56F",
"name": "Consultative Selling"
},
{
"id": "KS441QM6LTNMGDSQKHLC",
"name": "Value Propositions"
},
{
"id": "KS125MK6L8XN70ZS40ZY",
"name": "Key Performance Indicators (KPIs)"
},
{
"id": "BGSBC6553CCF3F292F02",
"name": "Product Knowledge"
},
{
"id": "KS1203T6J7F2P3TG6Y6K",
"name": "Account Management"
},
{
"id": "KS1220G68PD5STH2DL2W",
"name": "Software As A Service (SaaS)"
},
{
"id": "KS4407H64CVBMTRQZRCF",
"name": "Sales Management"
}
]
}
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// The dimension you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}POST /dimensions/{dimension}/bulk
POST /dimensions/{dimension}/bulkGet multiple lists of DDN skills for an occupation.
Path Parameters
| Name | Type | Description |
|---|---|---|
dimension | enum | The occupation dimension used for modeling DDN skills. Example: Must be one of: |
Query Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
Request Body
{
"ids": [
"41-9022",
"15-1251"
]
}Code Examples
curl --request POST \
--url https://emsiservices.com/ddn/dimensions/soc/bulk \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "ids": [ "41-9022", "15-1251" ] }'Response Examples
{
"data": [
{
"id": "41-9022",
"name": "Real Estate Sales Agents",
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"definingSkills": [
{
"id": "BGS5363C9FF585447FFA",
"name": "Real Estate Sales"
},
{
"id": "KS123NJ76GJLK91JS75M",
"name": "Property Management"
},
{
"id": "KS124QR6F19BX4WPMW1H",
"name": "Marketing"
},
{
"id": "ES8F73CC75C618D72F72",
"name": "Sales Prospecting"
},
{
"id": "ESD7A172C32CA3F4C5D7",
"name": "Yardi (Property Management Software)"
},
{
"id": "ES3B26D552D20A8007FE",
"name": "Real Estate Salesperson License"
}
],
"distinguishingSkills": [
{
"id": "BGSF28BF84F2E32B20D6",
"name": "Property Leasing"
},
{
"id": "ES4F50A0DD29E30D3D55",
"name": "Lease Contracts"
},
{
"id": "ES1461496744B903E324",
"name": "Commercial Real Estate"
},
{
"id": "KS1258W66SQT0J299PQW",
"name": "Internet Marketing"
},
{
"id": "ES648D39D54C87EDD5C8",
"name": "Real Estate Transactions"
}
],
"necessarySkills": [
{
"id": "ESE495A4017EB9404B8C",
"name": "Valid Driver's License"
},
{
"id": "KS1217P66NK6BW72M9FH",
"name": "Customer Relationship Management"
},
{
"id": "KS1248T6MC5L69MZ2L3R",
"name": "Selling Techniques"
}
]
},
{
"id": "15-1251",
"name": "Computer Programmers",
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"definingSkills": [],
"distinguishingSkills": [],
"necessarySkills": [
{
"id": "KS1208P6ZMZ4N872Y7X5",
"name": "Application Programming Interface (API)"
},
{
"id": "KS1219N6Z3XQ19V0HSKR",
"name": "C# (Programming Language)"
},
{
"id": "KS122SG5Y0Q5YQM7V8KT",
"name": "Debugging"
},
{
"id": "KS120SQ5W4Q57JMD2Y81",
"name": "Automation"
},
{
"id": "KS1226Y6DNDT05G7FJ4J",
"name": "Computer Science"
},
{
"id": "KS1267F6MSPN366LX7ST",
"name": "Project Management"
},
{
"id": "KS120076FGP5WGWYMP0F",
"name": "Java (Programming Language)"
},
{
"id": "KS125LS6N7WP4S6SFTCK",
"name": "Python (Programming Language)"
},
{
"id": "KS120B874P2P6BK1MQ0T",
"name": "Agile Methodology"
},
{
"id": "KS120L96KMYTDJ48NRSH",
"name": "Software Development"
},
{
"id": "KS1200771D9CR9LB4MWW",
"name": "JavaScript (Programming Language)"
},
{
"id": "KS440W865GC4VRBW6LJP",
"name": "SQL (Programming Language)"
},
{
"id": "ES899BA440FA3441F22A",
"name": "Workflow Management"
}
]
}
]
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// The dimension you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}POST /dimensions/\{dimension}/occupations
POST /dimensions/\{dimension}/occupationsGet the occupations for which a skill is defining, distinguishing, or necessary.
Path Parameters
| Name | Type | Description |
|---|---|---|
dimension | enum | The occupation dimension used for modeling DDN skills. Example: Must be one of: |
Query Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
Request Body
{
"id": "KS1217P66NK6BW72M9FH"
}Code Examples
curl --request POST \
--url https://emsiservices.com/ddn/dimensions/soc/occupations \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "id": "KS1217P66NK6BW72M9FH" }'Response Examples
{
"data": {
"id": "KS1217P66NK6BW72M9FH",
"name": "Customer Relationship Management",
"region": {
"nation": "us",
"level": "nation",
"id": "0",
"name": "United States"
},
"definingFor": [
{
"id": "32101020",
"name": "Software Account Executive"
},
{
"id": "32171024",
"name": "Territory / Regional Sales Manager"
},
{
"id": "32101010",
"name": "Account Executive (General)"
},
{
"id": "32171011",
"name": "Business Development Manager (General)"
},
{
"id": "23101113",
"name": "Salesforce / CRM Developer"
},
{
"id": "32101021",
"name": "Technology Account Executive"
},
{
"id": "32131528",
"name": "Territory / Regional Sales Representative"
}
],
"distinguishingFor": [],
"necessaryFor": [
{
"id": "32131310",
"name": "Commercial Real Estate Agent"
},
{
"id": "32161312",
"name": "Parts Sales Representative"
},
{
"id": "27111225",
"name": "Product Marketing Manager"
},
{
"id": "15101114",
"name": "Customer Service Supervisor"
},
{
"id": "17121011",
"name": "Admissions Administrator"
}
]
}
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// The dimension you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}
